#1661 closed defect

Coverage improvements: termios

Reported by: Bharath Suri Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: ralf.corsepius@… Blocked By:
Blocking:

Description

PR to track changes / addition of new tests to improve termios

Attachments (7)

testsuites-changes (10.1 KB) - added by Bharath Suri on Aug 9, 2010 at 10:21:30 AM.
Patch @ testsuites/
libtests-ChangeLog-changes (208 bytes) - added by Bharath Suri on Aug 9, 2010 at 10:33:39 AM.
Updated ChangeLog? at testsuites/libtests
psxtests-ChangeLog-changes (205 bytes) - added by Bharath Suri on Aug 9, 2010 at 10:34:17 AM.
Updated ChangeLog? at testsuites/psxtests
termios01-changes.diff (4.5 KB) - added by Bharath Suri on Aug 10, 2010 at 6:14:39 PM.
Patch @ testsuites/libtests/termios01/
libtests-ChangeLog-changes.txt (171 bytes) - added by Bharath Suri on Aug 10, 2010 at 6:16:26 PM.
Updated ChangeLog? @ testsuites/libtests
termios06-changes.diff (2.9 KB) - added by Bharath Suri on Jan 28, 2011 at 1:08:52 PM.
Patch @ testsuites/libtests/termios06/
libtests-ChangeLog-Changes_v1.txt (260 bytes) - added by Bharath Suri on Jan 28, 2011 at 1:09:34 PM.
Updated ChangeLog? @ testsuites/libtests

Download all attachments as: .zip

Change History (16)

Changed on Aug 9, 2010 at 10:21:30 AM by Bharath Suri

Attachment: testsuites-changes added

Patch @ testsuites/

Changed on Aug 9, 2010 at 10:33:39 AM by Bharath Suri

Attachment: libtests-ChangeLog-changes added

Updated ChangeLog? at testsuites/libtests

Changed on Aug 9, 2010 at 10:34:17 AM by Bharath Suri

Attachment: psxtests-ChangeLog-changes added

Updated ChangeLog? at testsuites/psxtests

comment:1 Changed on Aug 9, 2010 at 11:45:43 AM by Ralf Corsepius

Cc: Ralf Corsepius added

Changed on Aug 10, 2010 at 6:14:39 PM by Bharath Suri

Attachment: termios01-changes.diff added

Patch @ testsuites/libtests/termios01/

Changed on Aug 10, 2010 at 6:16:26 PM by Bharath Suri

Updated ChangeLog? @ testsuites/libtests

comment:2 Changed on Aug 10, 2010 at 6:17:07 PM by Bharath Suri

dependson: 1662

comment:3 Changed on Aug 10, 2010 at 6:19:04 PM by Bharath Suri

attachments.isobsolete: 01

comment:4 Changed on Aug 11, 2010 at 1:27:45 AM by Bharath Suri

Resolution: fixed
Status: newclosed

Changed on Jan 28, 2011 at 1:08:52 PM by Bharath Suri

Attachment: termios06-changes.diff added

Patch @ testsuites/libtests/termios06/

Changed on Jan 28, 2011 at 1:09:34 PM by Bharath Suri

Updated ChangeLog? @ testsuites/libtests

comment:5 Changed on Jan 28, 2011 at 1:12:00 PM by Bharath Suri

Resolution: fixed
Status: closedreopened

comment:6 Changed on Jan 28, 2011 at 3:22:28 PM by Joel Sherrill

Replying to comment:18:

The new patches require a review

I have committed this. Thanks. I will re-run the coverage test once my overnight run of all BSPs finishes.

termios has another huge chunk, rtems_termios_enqueue_raw_characters. Any
suggestions on how to get this with the current setup? Changes in driver...?

The termios*/*driver* files should support hitting this path IF the test
puts the test "serial" port in the right mode.

comment:7 Changed on Nov 21, 2014 at 2:13:16 PM by Joel Sherrill

Resolution: fixed
Status: reopenedclosed

termios coverage is now near complete. This ticket was to submit a patch which is merged. Closing.

comment:8 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:9 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.